/* BBSuitcase.h				 
 *
 * This is my subclass of the IKFolder to allow browsing suitcases like
 * the folder objects. (some kind of custom IKSuitcase)
 *
 * Usage: Use it like an IKFolder that is a List.
 *
 * Written by: 		Thomas Engel
 * Created:    		02.05.1994 (Copyleft)
 * Last modified: 	12.11.1994
 */

#import <iconkit/IKFolder.h>

@interface BBSuitcase:IKFolder

- init;
- forward:(SEL) message:(marg_list)argFrame;

// Msgs we should provide to work as a good list (We are garbage collecting !!)

- freeObject;

- (unsigned)count;
- objectAt:(unsigned)index;
- addObject:anObject;
- addObjectIfAbsent:anObject;

- empty;

- read:(NXTypedStream *)stream;
- write:(NXTypedStream *)stream;

@end

/*
 * History: 12.11.94 Added archiving (conditional..)
 *
 *			17.05.94 Added ifAbsent:
 *
 *			02.05.94 Just got it working to get some feeling for the app.
 *			
 *
 * Bugs: - Ok could be a List with all the features...but I don't need them
 *		   right now.
 */