/* BBMoleculeInspector.h				 
 *
 * This subclass of MiscInspectorWrapper inspects Molecules.
 *
 * Usage: You don't have to use this class directly.
 *
 * Written by: 		Thomas Engel
 * Created:    		18.12.1993 (Copyleft)
 * Last modified: 	12.05.1994
 */

#import <misckit/MiscInspectorWrapper.h>

@interface BBMoleculeInspector:MiscInspectorWrapper

- (BOOL)doesHandleSelection;

@end

/*
 * History: 12.05.94 Converted to fit BB... naming
 *
 *			24.02.94 Changed for new swapKit.
 *
 *			18.12.93 First implementation. Should work like this.
 *
 *
 * Bugs: not here...
 */