/* BBDefaultApp.h				 
 *
 * This is a swapable defaults provider that serves the BBAppManager and 
 * general system defaults.
 *
 * Usage: Just ask for the defaults data you need.
 *
 * Written by: 		Thomas Engel
 * Created:    		14.05.1994 (Copyleft)
 * Last modified: 	17.11.1994
 */

#import <misckit/MiscSwapContentsController.h>

@interface BBDefaultApp:MiscSwapContentsController
{
	id	serverNameField;
	id	autoServerNamingSwitch;
	id	mouseSwitch;
}

- revert:sender;
- (BOOL)hasDefaultsFor:anObject;

- (BOOL)use3DMouseIfPossible;
- mouseServerPortName;
- switchToAuto3DServerName:sender;

@end

/*
 * History: 17.11.94 Added mouseServer support.
 *
 *			14.05.94 First implementation.
 *
 *
 * Bugs: - Not fully implemented yet.
 */