/* BBAtomLibraryOrganicController.h				 
 *
 * This subclass of MiscSwapContentsCtrl is in charge of the organic section
 * of the atomlibrary
 *
 * For more interface-info see the header file. In depth information
 * can be found here in the source-code.
 *
 * Written by: 		Thomas Engel
 * Created:    		11.01.1994 (Copyleft)
 * Last modified: 	14.05.1994
 */

#import "BBAtomLibraryOrganicController.h"
#import "BBAtomLibraryManager.h"
#import "../BBAppManager.h"

@implementation BBAtomLibraryOrganicController

- selectNewAtom:sender
{
	// If it is a button we ask for its tag. If its a matrix we as for the
	// tag of the selectedCell.

	int	theTag;

	if( [sender isMemberOf:[Matrix class]] )
			theTag = [[sender selectedCell] tag];
	else	theTag = [sender tag];
	
	[[[NXApp delegate] atomLibrary] selectBasicAtomWithProtons:(short)theTag];
	return self;
}

@end

/*
 * History: 14.05.94 Switched to new name: BB...
 *
 *			11.01.94 First implementation.
 *
 *
 * Bugs: - Not very likely. 
 */