/* BBBasicAtomAttributesController.h				 
 *
 * This subclass of MiscInspector is in charge of the basicAtom attributes
 * settings.
 *
 * Usage: Just see the NIB and code. Not very reusable anyway.
 *		  Currently we control some nameing and simple physical settings.
 *
 * Written by: 		Thomas Engel
 * Created:    		12.01.1994 (Copyleft)
 * Last modified: 	12.05.1994
 */

#import <misckit/MiscInspector.h>

@interface BBBasicAtomAttributesController:MiscInspector
{
	id	nameField;
	id	symbolField;
	id	protonsField;
	id	neutronsField;
	id	massField;
	id	radiusField;
	id	vanDerWaalsField;
}

- textDidChange:sender;
- ok:sender;
- revert:sender;

@end

/*
 * History: 12.05.94 Converted to fit BB... naming
 *
 *			25.02.94 New-MiscSwapKit conform
 *
 *			12.01.94 First implementation.
 *
 *
 * Bugs: - not very likely.
 */