/* BBRegionGraphicsController.h				 
 *
 * This subclass of MiscInspector is in charge of a regions graphics
 * settings.
 *
 * Usage: Just see the NIB and code. Not very reusable anyway.
 *		  We control style, painting colors and more.
 *
 * Written by: 		Thomas Engel
 * Created:    		17.01.1994 (Copyleft)
 * Last modified: 	30.05.1994
 */

#import <misckit/MiscInspector.h>

@interface BBRegionGraphicsController:MiscInspector
{
	id	regionColorSwitch;
	id	regionColorWell;
	id	renderConfigSwitch;
	id	renderConfigView;
	id	surfacePopUpCover;
	id	geometryPopUpCover;
	id	shaderPopUpCover;
	id	ratePopUpCover;
	id	approxPopUpCover;
}

- renderConfDidChange:sender;
- ok:sender;
- revert:sender;
- revertRenderPopUps;

- willSwapOut;

@end

/*
 * History: 30.05.94 Does know how to set all the render settings.
 *
 *			12.05.94 Converted to fit BB... naming
 *
 *			09.03.94 Made it the regions graphics inspector
 *
 *			24.02.94 Changed for new swapKit.
 *
 *			17.01.94 First implementation.
 *
 *
 * Bugs: -  Created Render settings never get free!.
 */